aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-exifread/APKBUILD
diff options
context:
space:
mode:
authorPeter Bui <pnutzh4x0r@gmail.com>2014-08-23 15:13:33 -0500
committerNatanael Copa <ncopa@alpinelinux.org>2014-09-01 06:29:51 +0000
commit230600ffbaec27d5e85a22db7b07124984ab5aa7 (patch)
treec30933ef65f17f52aecae31f09de1f2d625d067f /testing/py-exifread/APKBUILD
parent29bc1a8a3bb830e7df9b94481564e0c130d48b66 (diff)
downloadaports-230600ffbaec27d5e85a22db7b07124984ab5aa7.tar.gz
aports-230600ffbaec27d5e85a22db7b07124984ab5aa7.tar.bz2
aports-230600ffbaec27d5e85a22db7b07124984ab5aa7.tar.xz
testing/py-exifread: new aport
https://pypi.python.org/pypi/ExifRead Read Exif metadata from tiff and jpeg files
Diffstat (limited to 'testing/py-exifread/APKBUILD')
-rw-r--r--testing/py-exifread/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-exifread/APKBUILD b/testing/py-exifread/APKBUILD
new file mode 100644
index 0000000000..8ae95cc1d6
--- /dev/null
+++ b/testing/py-exifread/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Peter Bui <pnutzh4x0r@gmail.com>
+# Maintainer:
+pkgname=py-exifread
+_pkgname=ExifRead
+pkgver=1.4.2
+pkgrel=0
+pkgdesc="Read Exif metadata from tiff and jpeg files"
+url="https://pypi.python.org/pypi/ExifRead"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+md5sums="7da6522316eb8ec6800d2fb6cb4e895c ExifRead-1.4.2.tar.gz"
+sha256sums="c131759abe9505f8d07f5f7e8c0ccb863f7989c6687ef26101ccd7c6de11869d ExifRead-1.4.2.tar.gz"
+sha512sums="501a1fc2ce55e2a353a4b0c49a73405f1cc148e24401e4e630f8125e80f4176e920e8f2567aaab3f508ef2c4b31f74b374d78728b0ba03461f1832cb802b61d9 ExifRead-1.4.2.tar.gz"